This Kobold2D FAQ article explains the difference between Corona SDK and iPhone Wax library, and evaluates the existing and future options for Lua scripting in Kobold2D.

Continue reading »

Cocos2D installer updated, added Cocos3D

On April 6, 2011, in Announcements, cocos2d, support, Xcode, by Steffen Itterheim

I have updated the unofficial Cocos2D installer to include the cocos2d-iphone-v1.0.0-rc version so that you can use the Xcode 4 templates. I also added Cocos3D so that you don’t have to run its install scripts anymore.

The installer now installs the following folders to your ~/Documents folder:

  • cocos2d-iphone-0.99.5 (latest stable)
  • cocos2d-iphone-1.0.0-rc (latest unstable)
  • cocos3d-0.5.3 (latest beta)

Warning: Project Templates are buggy!

Depending on Cocos2D/3D version and the version of Xcode, you’ll notice that some of the project templates will not compile without manually fixing some compile errors. This has nothing to do with the installer, the same thing happens when you install the templates manually with the .sh scripts.

For example, the project templates for cocos2d-iphone-1.0.0-rc do not work in Xcode 3 – the ones for Xcode 4 work fine. The Cocos3D project template does not work out of the box in Xcode 4, you have to manually copy and add the Cocos3D files (refer to the readme for more info). The version for Xcode 3 works fine.

Based on the Xcode version you currently use for developing new Cocos2D projects:

  • Xcode 3: use the Cocos2D v0.99.5 and Cocos3D Project Templates to start new projects. You can manually update to Cocos2D v1.0.0 afterwards.
  • Xcode 4: you will have to start with Cocos2D v1.0.0 (rc). If you want to develop Cocos3D applications, refer to the readme to learn the manual steps involved in creating a working Cocos3D project.
Tagged with:  
Page 2 of 212